Subject: Re: [pim] AD Review of draft-ietf-pim-bfd-p2mp-use-case-05

From: Michael McBride <[email-masked]>
Date: Thu, 7 Oct 2021 20:44:28 +0000

Hi Greg, authors,

We also need each of the authors to formally acknowledge that there is no undisclosed IPR on the draft by simply replying to this email.

Thanks!
mike

From: pim <[email-masked]> On Behalf Of Greg Mirsky
Sent: Tuesday, September 14, 2021 3:39 PM
To: Alvaro Retana <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Re: [pim] AD Review of draft-ietf-pim-bfd-p2mp-use-case-05

Hi Alvaro,
thank you for your feedback and suggestions. I'll start the new working version and will update it based on your comments. Looking forward to hearing from other LC reviewers.

Regards,
Greg

On Tue, Sep 14, 2021 at 11:39 AM Alvaro Retana <[email-masked]<mailto:[email-masked]>> wrote:
On September 9, 2021 at 8:09:24 PM, Greg Mirsky wrote:

Greg:

Hi!

> I've updated the working version to follow your comments. I've removed
> references to DR/BDR and, as a result, the reference to
> draft-ietf-pim-dr-improvement. As you've pointed out in comments, a tail
> detects the failure of the head and then follows procedures defined in RFC
> 7661 as if that was the failure in PIM Hello protocol. I've decided to leave
> the section about the use of p2mp in PIM DR Load Balancing as that mechanism
> is defined in RFC 8775, well after RFC 7661 was published.

That's ok.

As I mentioned before, I think the part about the head not performing
the function it started with should be generalized into §2.1 -- here's
the text I'm suggesting as the penultimate paragraph:

   If the head is no longer serving the function that prompted it
   to be monitored, then it MUST cease including the BFD Discriminator
   PIM Hello option in its PIM-Hello message, and it SHOULD shut down
   the BFD session following the procedures described in Section 5.9
   [RFC8562].

I also still have a couple of items (see below) to talk about.  I am
starting the IETF LC, so you can take them as LC comments.

Thanks!

Alvaro.

(1) I think that this text in §2.1 is still problematic:

187        If the head ceases to include the BFD Discriminator PIM Hello option
188        in its PIM-Hello message, tails MUST close the corresponding
189        MultipointTail BFD session without affecting the PIM state in any
190        way.  Thus the tail stops using BFD to monitor the head and reverts
191        to the procedures defined in [RFC7761].

The problem is that the BFD session may not have been started using
the PIM Hello Option -- maybe it was manually provisioned, for
example.  If that is the case then requiring (MUST) to close the
session ignores the manual configuration.  I think the action should
be recommended (SHOULD) instead.

(2) Security Considerations.  Let's add an introductory paragraph (or
at least a couple of sentences) to justify why there are no additional
security considerations.  Something following this structure:

   This document defines a way to accelerate the detection of a PIM
   failure by using BFD.  The operation of either protocol is not
   changed.

---

From: Greg Mirsky <[email-masked]>
Date: Thu, 7 Oct 2021 14:26:48 -0700

Hi Mike, Stig, et al,
I am not aware of any undisclosed IPR related to this document.

Regards,
Greg

On Thu, Oct 7, 2021 at 1:44 PM Michael McBride <
[email-masked]> wrote:

> Hi Greg, authors,
>
>
>
> We also need each of the authors to formally acknowledge that there is no
> undisclosed IPR on the draft by simply replying to this email.
>
>
>
> Thanks!
>
> mike
>
>
>
> *From:* pim <[email-masked]> *On Behalf Of * Greg Mirsky
> *Sent:* Tuesday, September 14, 2021 3:39 PM
> *To:* Alvaro Retana <[email-masked]>
> *Cc:* [email-masked]; [email-masked];
> [email-masked]; [email-masked]
> *Subject:* Re: [pim] AD Review of draft-ietf-pim-bfd-p2mp-use-case-05
>
>
>
> Hi Alvaro,
>
> thank you for your feedback and suggestions. I'll start the new working
> version and will update it based on your comments. Looking forward to
> hearing from other LC reviewers.
>
>
>
> Regards,
>
> Greg
>
>
>
> On Tue, Sep 14, 2021 at 11:39 AM Alvaro Retana <[email-masked]>
> wrote:
>